Create Chart Card
curl --request POST \
--url https://api.domo.com/v1/cards/chart \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calculatedFields": [
{
"formula": "<string>",
"id": "<string>",
"name": "<string>",
"saveToDataSet": true
}
],
"chartBody": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"chartType": "<string>",
"chartVersion": "<string>",
"conditionalFormats": [
{
"condition": {
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
},
"format": {
"applyToRow": true,
"color": "<string>",
"textColor": "<string>",
"textStyle": "<string>"
},
"savedToDataSet": true
}
],
"dataSetId": "<string>",
"description": "<string>",
"goal": 123,
"metadataOverrides": {},
"preferredFullHeight": 123,
"preferredFullWidth": 123,
"quickFilters": [
{
"column": "<string>",
"name": "<string>",
"operator": "<string>",
"type": "<string>",
"values": [
"<string>"
]
}
],
"summaryNumber": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"title": "<string>",
"urn": "<string>"
}
'import requests
url = "https://api.domo.com/v1/cards/chart"
payload = {
"calculatedFields": [
{
"formula": "<string>",
"id": "<string>",
"name": "<string>",
"saveToDataSet": True
}
],
"chartBody": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": True,
"to": 123
},
"distinct": True,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": ["<string>"]
}
],
"fiscal": True,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": True
},
"chartType": "<string>",
"chartVersion": "<string>",
"conditionalFormats": [
{
"condition": {
"column": "<string>",
"operand": "<string>",
"values": ["<string>"]
},
"format": {
"applyToRow": True,
"color": "<string>",
"textColor": "<string>",
"textStyle": "<string>"
},
"savedToDataSet": True
}
],
"dataSetId": "<string>",
"description": "<string>",
"goal": 123,
"metadataOverrides": {},
"preferredFullHeight": 123,
"preferredFullWidth": 123,
"quickFilters": [
{
"column": "<string>",
"name": "<string>",
"operator": "<string>",
"type": "<string>",
"values": ["<string>"]
}
],
"summaryNumber": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": True,
"to": 123
},
"distinct": True,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": ["<string>"]
}
],
"fiscal": True,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": True,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": True,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": True,
"percentMultiplied": True,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": True,
"hideTotal": True,
"percentOfTotal": True,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": True
},
"title": "<string>",
"urn": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
calculatedFields: [{formula: '<string>', id: '<string>', name: '<string>', saveToDataSet: true}],
chartBody: {
columns: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
dateGrain: {column: '<string>', dateTimeElement: '<string>'},
dateRangeFilter: {filterType: '<string>', field: '<string>', from: 123, not: true, to: 123},
distinct: true,
filters: [{column: '<string>', operand: '<string>', values: ['<string>']}],
fiscal: true,
groupBy: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
limit: 123,
offset: 123,
orderBy: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
projection: true
},
chartType: '<string>',
chartVersion: '<string>',
conditionalFormats: [
{
condition: {column: '<string>', operand: '<string>', values: ['<string>']},
format: {
applyToRow: true,
color: '<string>',
textColor: '<string>',
textStyle: '<string>'
},
savedToDataSet: true
}
],
dataSetId: '<string>',
description: '<string>',
goal: 123,
metadataOverrides: {},
preferredFullHeight: 123,
preferredFullWidth: 123,
quickFilters: [
{
column: '<string>',
name: '<string>',
operator: '<string>',
type: '<string>',
values: ['<string>']
}
],
summaryNumber: {
columns: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
dateGrain: {column: '<string>', dateTimeElement: '<string>'},
dateRangeFilter: {filterType: '<string>', field: '<string>', from: 123, not: true, to: 123},
distinct: true,
filters: [{column: '<string>', operand: '<string>', values: ['<string>']}],
fiscal: true,
groupBy: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
limit: 123,
offset: 123,
orderBy: [
{
aggregation: '<string>',
alias: '<string>',
calendar: true,
column: '<string>',
format: {
alignment: '<string>',
commas: true,
currency: '<string>',
dateFormat: '<string>',
format: '<string>',
percent: true,
percentMultiplied: true,
precision: 123,
style: '<string>',
tableColumn: {
aggregation: '<string>',
hideSubtotal: true,
hideTotal: true,
percentOfTotal: true,
width: 123
},
type: '<string>'
},
mapping: '<string>'
}
],
projection: true
},
title: '<string>',
urn: '<string>'
})
};
fetch('https://api.domo.com/v1/cards/chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calculatedFields": [
{
"formula": "<string>",
"id": "<string>",
"name": "<string>",
"saveToDataSet": true
}
],
"chartBody": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"chartType": "<string>",
"chartVersion": "<string>",
"conditionalFormats": [
{
"condition": {
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
},
"format": {
"applyToRow": true,
"color": "<string>",
"textColor": "<string>",
"textStyle": "<string>"
},
"savedToDataSet": true
}
],
"dataSetId": "<string>",
"description": "<string>",
"goal": 123,
"metadataOverrides": {},
"preferredFullHeight": 123,
"preferredFullWidth": 123,
"quickFilters": [
{
"column": "<string>",
"name": "<string>",
"operator": "<string>",
"type": "<string>",
"values": [
"<string>"
]
}
],
"summaryNumber": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"title": "<string>",
"urn": "<string>"
}Cards API
Create Chart Card
Create a new Card to visualize data from an existing DataSet.
POST
/
v1
/
cards
/
chart
Create Chart Card
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
ID of Page (Dashboard) to insert the newly created Card
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I